Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Prepping for 2.0.2 heliport release

svn path=/trunk/uia2atk/; revision=154564
  • Loading branch information...
commit 8f4834627b4991b73542a61f20c699864b0d9e01 1 parent 784e75c
@decriptor decriptor authored
View
14 AtspiUiaSource/NEWS
@@ -3,6 +3,20 @@ Mono Accessibility News
Copyright (C) 2008 - 2010 Novell, Inc. (http://www.novell.com)
+Version 2.0.2: The "heliport" release
+* #587792 - TabControl: select invisible label child make the application crashed
+* #563890 - GridSplitter: run with Orca couldn't use Up|Down Right|Left to move splitter
+* #587783 - TabControl: 'page tab' has 2 extraneous labels
+* #555165 - Couldn't show GridSplitter sample which is build by mxap
+* #546068 - Block bugs from moonlight
+* #494708 - Test DataGrid control
+* #588941 - Task of review ClientAPI-Gtk tests on dashboard-Ray
+* #588942 - Task of review ClientAPI-Gtk tests on dashboard-Neville
+* #571772 - In scrollable list, listitem[0] missing ScrollItemPattern
+* #571786 - In non-scrollable list, listitems support extraneous ScrollItemPattern
+* #576450 - [uiaclient-winforms] The dialog's Window Pattern' WindowInteractionState will be different between Windows and Linux
+* #578244 - [uiaclient-winforms]: the datagrid's GetItem method can't be run on Linux
+
Version 2.0.1: The "guesstimate" release
* #579004 - Update google docs with new testcase descriptions
* #554449 - ComboBox crashes when using ItemsSource
View
4 AtspiUiaSource/configure.ac
@@ -38,7 +38,7 @@ AC_ARG_ENABLE(tests,
NUNIT_PATH=
-PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.1])
+PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.2])
PKG_CHECK_MODULES(NUNIT, mono-nunit >= 2.4, nunit_24=yes, nunit_24=no)
if test "x$nunit_24" = "xno"; then
AC_MSG_WARN([Could not find mono-nunit >= 2.4; unit tests will not be available.])
@@ -75,7 +75,7 @@ fi
# package checks, common for all configs
PKG_CHECK_MODULES([GLIB_SHARP_20], [glib-sharp-2.0 >= 2.12.8])
-PKG_CHECK_MODULES([ATSPI_SHARP], [at-spi-sharp >= 0.9.2])
+PKG_CHECK_MODULES([ATSPI_SHARP], [at-spi-sharp >= 1.0.1])
PKG_CHECK_MODULES([GLIB_SHARP_20], [glib-sharp-2.0 >= 2.12.8])
PKG_CHECK_MODULES([GTK_SHARP_20], [gtk-sharp-2.0 >= 2.12.8])
View
14 MoonAtkBridge/NEWS
@@ -3,6 +3,20 @@ Mono Accessibility News
Copyright (C) 2008 - 2010 Novell, Inc. (http://www.novell.com)
+Version 2.0.2: The "heliport" release
+* #587792 - TabControl: select invisible label child make the application crashed
+* #563890 - GridSplitter: run with Orca couldn't use Up|Down Right|Left to move splitter
+* #587783 - TabControl: 'page tab' has 2 extraneous labels
+* #555165 - Couldn't show GridSplitter sample which is build by mxap
+* #546068 - Block bugs from moonlight
+* #494708 - Test DataGrid control
+* #588941 - Task of review ClientAPI-Gtk tests on dashboard-Ray
+* #588942 - Task of review ClientAPI-Gtk tests on dashboard-Neville
+* #571772 - In scrollable list, listitem[0] missing ScrollItemPattern
+* #571786 - In non-scrollable list, listitems support extraneous ScrollItemPattern
+* #576450 - [uiaclient-winforms] The dialog's Window Pattern' WindowInteractionState will be different between Windows and Linux
+* #578244 - [uiaclient-winforms]: the datagrid's GetItem method can't be run on Linux
+
Version 2.0.1: The "guesstimate" release
* #579004 - Update google docs with new testcase descriptions
* #554449 - ComboBox crashes when using ItemsSource
View
14 UIAutomation/NEWS
@@ -3,6 +3,20 @@ Mono Accessibility News
Copyright (C) 2008 - 2010 Novell, Inc. (http://www.novell.com)
+Version 2.0.2: The "heliport" release
+* #587792 - TabControl: select invisible label child make the application crashed
+* #563890 - GridSplitter: run with Orca couldn't use Up|Down Right|Left to move splitter
+* #587783 - TabControl: 'page tab' has 2 extraneous labels
+* #555165 - Couldn't show GridSplitter sample which is build by mxap
+* #546068 - Block bugs from moonlight
+* #494708 - Test DataGrid control
+* #588941 - Task of review ClientAPI-Gtk tests on dashboard-Ray
+* #588942 - Task of review ClientAPI-Gtk tests on dashboard-Neville
+* #571772 - In scrollable list, listitem[0] missing ScrollItemPattern
+* #571786 - In non-scrollable list, listitems support extraneous ScrollItemPattern
+* #576450 - [uiaclient-winforms] The dialog's Window Pattern' WindowInteractionState will be different between Windows and Linux
+* #578244 - [uiaclient-winforms]: the datagrid's GetItem method can't be run on Linux
+
Version 2.0.1: The "guesstimate" release
* #579004 - Update google docs with new testcase descriptions
* #554449 - ComboBox crashes when using ItemsSource
View
14 UIAutomationWinforms/NEWS
@@ -3,6 +3,20 @@ Mono Accessibility News
Copyright (C) 2008 - 2010 Novell, Inc. (http://www.novell.com)
+Version 2.0.2: The "heliport" release
+* #587792 - TabControl: select invisible label child make the application crashed
+* #563890 - GridSplitter: run with Orca couldn't use Up|Down Right|Left to move splitter
+* #587783 - TabControl: 'page tab' has 2 extraneous labels
+* #555165 - Couldn't show GridSplitter sample which is build by mxap
+* #546068 - Block bugs from moonlight
+* #494708 - Test DataGrid control
+* #588941 - Task of review ClientAPI-Gtk tests on dashboard-Ray
+* #588942 - Task of review ClientAPI-Gtk tests on dashboard-Neville
+* #571772 - In scrollable list, listitem[0] missing ScrollItemPattern
+* #571786 - In non-scrollable list, listitems support extraneous ScrollItemPattern
+* #576450 - [uiaclient-winforms] The dialog's Window Pattern' WindowInteractionState will be different between Windows and Linux
+* #578244 - [uiaclient-winforms]: the datagrid's GetItem method can't be run on Linux
+
Version 2.0.1: The "guesstimate" release
* #579004 - Update google docs with new testcase descriptions
* #554449 - ComboBox crashes when using ItemsSource
View
2  UIAutomationWinforms/configure.ac
@@ -81,7 +81,7 @@ AC_SUBST(NUNIT_PATH)
AM_CONDITIONAL(ENABLE_TESTS, test "x$enable_tests" = "xyes")
dnl package checks, common for all configs
-PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.1])
+PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.2])
PKG_CHECK_MODULES([MONO], [mono >= 2.4])
gacutil -l System.Data | grep "Version=2"
View
14 UiaAtkBridge/NEWS
@@ -3,6 +3,20 @@ Mono Accessibility News
Copyright (C) 2008 - 2010 Novell, Inc. (http://www.novell.com)
+Version 2.0.2: The "heliport" release
+* #587792 - TabControl: select invisible label child make the application crashed
+* #563890 - GridSplitter: run with Orca couldn't use Up|Down Right|Left to move splitter
+* #587783 - TabControl: 'page tab' has 2 extraneous labels
+* #555165 - Couldn't show GridSplitter sample which is build by mxap
+* #546068 - Block bugs from moonlight
+* #494708 - Test DataGrid control
+* #588941 - Task of review ClientAPI-Gtk tests on dashboard-Ray
+* #588942 - Task of review ClientAPI-Gtk tests on dashboard-Neville
+* #571772 - In scrollable list, listitem[0] missing ScrollItemPattern
+* #571786 - In non-scrollable list, listitems support extraneous ScrollItemPattern
+* #576450 - [uiaclient-winforms] The dialog's Window Pattern' WindowInteractionState will be different between Windows and Linux
+* #578244 - [uiaclient-winforms]: the datagrid's GetItem method can't be run on Linux
+
Version 2.0.1: The "guesstimate" release
* #579004 - Update google docs with new testcase descriptions
* #554449 - ComboBox crashes when using ItemsSource
View
2  UiaAtkBridge/configure.ac
@@ -93,7 +93,7 @@ PKG_CHECK_MODULES([GTK_SHARP_20], [gtk-sharp-2.0 >= 2.12.8])
PKG_CHECK_MODULES(GTK_SHARP_2_12_10, gtk-sharp-2.0 >= 2.12.10, [last_gtk_sharp=yes], [last_gtk_sharp=no])
AM_CONDITIONAL(HAVE_OLD_ATK_SHARP, test x$last_gtk_sharp = xno)
-PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.1])
+PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.2])
#Bridge-glue checks
PKG_CHECK_MODULES(ATK, atk)
View
14 UiaDbus/NEWS
@@ -3,6 +3,20 @@ Mono Accessibility News
Copyright (C) 2008 - 2010 Novell, Inc. (http://www.novell.com)
+Version 2.0.2: The "heliport" release
+* #587792 - TabControl: select invisible label child make the application crashed
+* #563890 - GridSplitter: run with Orca couldn't use Up|Down Right|Left to move splitter
+* #587783 - TabControl: 'page tab' has 2 extraneous labels
+* #555165 - Couldn't show GridSplitter sample which is build by mxap
+* #546068 - Block bugs from moonlight
+* #494708 - Test DataGrid control
+* #588941 - Task of review ClientAPI-Gtk tests on dashboard-Ray
+* #588942 - Task of review ClientAPI-Gtk tests on dashboard-Neville
+* #571772 - In scrollable list, listitem[0] missing ScrollItemPattern
+* #571786 - In non-scrollable list, listitems support extraneous ScrollItemPattern
+* #576450 - [uiaclient-winforms] The dialog's Window Pattern' WindowInteractionState will be different between Windows and Linux
+* #578244 - [uiaclient-winforms]: the datagrid's GetItem method can't be run on Linux
+
Version 2.0.1: The "guesstimate" release
* #579004 - Update google docs with new testcase descriptions
* #554449 - ComboBox crashes when using ItemsSource
View
2  UiaDbus/configure.ac
@@ -90,7 +90,7 @@ AM_CONDITIONAL(ENABLE_EXTERNAL_NDESK_DBUS, test "x$enable_external_ndesk_dbus" =
# package checks, common for all configs
PKG_CHECK_MODULES([GLIB_SHARP_20], [glib-sharp-2.0 >= 2.12.8])
-PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.1])
+PKG_CHECK_MODULES([MONO_UIA], [mono-uia >= 2.0.2])
TOPDIR=$PWD
AC_SUBST(TOPDIR)
View
4 build/fedora/atspiuiasource.spec
@@ -4,7 +4,7 @@
#
Name: atspiuiasource
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
@@ -15,7 +15,7 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: at-spi-sharp-devel
BuildRequires: gtk-sharp2-devel >= 2.12.8
BuildRequires: mono-devel >= 2.4
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia-devel >= 2.0.2
Summary: At-spi uia source
%description
View
2  build/fedora/mono-uia.spec
@@ -4,7 +4,7 @@
#
Name: mono-uia
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
View
8 build/fedora/uiaatkbridge.spec
@@ -4,7 +4,7 @@
#
Name: uiaatkbridge
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
@@ -15,14 +15,14 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: at-spi >= 1.24.0
Requires: gtk-sharp2 >= 2.12.8
Requires: mono-core >= 2.4
-Requires: mono-uia >= 2.0.1
+Requires: mono-uia >= 2.0.2
BuildRequires: atk-devel >= 1.24
BuildRequires: gtk2-devel >= 2.14
#BuildRequires: gtk-sharp2 >= 2.12.8
BuildRequires: gtk-sharp2-devel >= 2.12.8
BuildRequires: mono-devel >= 2.4
-BuildRequires: mono-uia >= 2.0.1
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia >= 2.0.2
+BuildRequires: mono-uia-devel >= 2.0.2
Summary: Bridge between UIA providers and ATK
View
4 build/fedora/uiadbus.spec
@@ -4,7 +4,7 @@
#
Name: uiadbus
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
@@ -14,7 +14,7 @@ Patch0: uiadbus-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk-sharp2-devel >= 2.12.8
BuildRequires: mono-devel >= 2.4
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia-devel >= 2.0.2
BuildRequires: ndesk-dbus
Summary: UiaDbus components of UIA on Linux
View
10 build/fedora/uiautomationwinforms.spec
@@ -4,7 +4,7 @@
#
Name: uiautomationwinforms
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
@@ -15,14 +15,14 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gtk-sharp2 >= 2.12.8
Requires: mono-core >= 2.4
Requires: mono-data >= 2.4
-Requires: mono-uia >= 2.0.1
-Requires: uiaatkbridge >= 2.0.1
+Requires: mono-uia >= 2.0.2
+Requires: uiaatkbridge >= 2.0.2
BuildRequires: gtk-sharp2-devel >= 2.12.8
BuildRequires: mono-devel >= 2.4
BuildRequires: mono-data >= 2.4
BuildRequires: mono-nunit >= 2.4
-BuildRequires: mono-uia >= 2.0.1
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia >= 2.0.2
+BuildRequires: mono-uia-devel >= 2.0.2
BuildRequires: intltool
Summary: Implementation of UIA providers
View
4 build/specs/atspiuiasource.spec
@@ -12,7 +12,7 @@
Name: atspiuiasource
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
@@ -23,7 +23,7 @@ Summary: At-spi uia source
BuildRequires: at-spi-sharp-devel >= 1.0
BuildRequires: glib-sharp2 >= 2.12.8
BuildRequires: mono-devel >= 2.4
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia-devel >= 2.0.2
BuildRequires: pkg-config
%description
View
2  build/specs/mono-uia.spec
@@ -12,7 +12,7 @@
Name: mono-uia
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT/X11
Group: System/Libraries
View
8 build/specs/uiaatkbridge.spec
@@ -11,7 +11,7 @@
#
Name: uiaatkbridge
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
@@ -21,14 +21,14 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: at-spi >= 1.24.0
Requires: gtk-sharp2 >= 2.12.8
Requires: mono-core >= 2.4
-Requires: mono-uia >= 2.0.1
+Requires: mono-uia >= 2.0.2
Requires: mono-winfxcore
BuildRequires: atk-devel >= 1.24
BuildRequires: gtk2-devel >= 2.14
BuildRequires: gtk-sharp2 >= 2.12.8
BuildRequires: mono-devel >= 2.4
-BuildRequires: mono-uia >= 2.0.1
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia >= 2.0.2
+BuildRequires: mono-uia-devel >= 2.0.2
BuildRequires: mono-winfxcore
Summary: Bridge between UIA providers and ATK
View
4 build/specs/uiadbus.spec
@@ -11,7 +11,7 @@
#
Name: uiadbus
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT
Group: System/Libraries
@@ -21,7 +21,7 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-build
Summary: UiaDbus components of UIA on Linux
BuildRequires: glib-sharp2
BuildRequires: mono-devel >= 2.4
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia-devel >= 2.0.2
BuildRequires: ndesk-dbus
%description
View
12 build/specs/uiautomationwinforms.spec
@@ -12,7 +12,7 @@
Name: uiautomationwinforms
-Version: 2.0.1
+Version: 2.0.2
Release: 1
License: MIT/X11
Group: System/Libraries
@@ -23,18 +23,18 @@ Requires: glib-sharp2 >= 2.12.8
Requires: gtk-sharp2 >= 2.12.8
Requires: mono-core >= 2.4
Requires: mono-data >= 2.4
-Requires: mono-uia >= 2.0.1
+Requires: mono-uia >= 2.0.2
Requires: mono-winfxcore
-Requires: uiaatkbridge >= 2.0.1
+Requires: uiaatkbridge >= 2.0.2
BuildRequires: gtk-sharp2 >= 2.12.8
BuildRequires: glib-sharp2 >= 2.12.8
BuildRequires: mono-devel >= 2.4
BuildRequires: mono-data >= 2.4
BuildRequires: mono-nunit >= 2.4
-BuildRequires: mono-uia >= 2.0.1
-BuildRequires: mono-uia-devel >= 2.0.1
+BuildRequires: mono-uia >= 2.0.2
+BuildRequires: mono-uia-devel >= 2.0.2
BuildRequires: mono-winfxcore
-BuildRequires: uiaatkbridge >= 2.0.1
+BuildRequires: uiaatkbridge >= 2.0.2
BuildRequires: intltool
Summary: Implementation of UIA providers
Please sign in to comment.
Something went wrong with that request. Please try again.